FTE(1)

NAME
fte - Text editor

SYNOPSIS
fte [[options] files ...]

xfte [[options] files ...]

vfte [[options] files ...]

nfte [[options] files ...]

sfte [[options] files ...]

DESCRIPTION
This manual page documents briefly the fte.

Some detailed documentation is available html format, see below.

fte is a powerful text editor which closely resembles Borlands programming editors for M$-DOS, but is far more flexible and configurable.

OPTIONS
fte uses a command line syntax, which is a little bit different from most of Debian GNU/Linux apps.

-h -? --help
    Help on command line options.

-!  Ignore any external configuration file and use internal configuration.

-l<line>[,<column>]
    Go to line (and column) in next file on command line.

-#<line>[<,column>]
    Same as -l. Do not use this option.

-m[<mode>]
    Set mode for next files to <mode>. If just plain -m, then use default mode.

-C[<.cnf>]
    Use specified configuration file (compiled). Plain -C does the same as -!.

-D[<.dsk>]
    Load/save desktop from file <.dsk>. If no argument, disable desktop load/save.

-H[<.his>]
    Load/save history from file <.his>. If no argument, disable history load/save.

-T<tagfile>
    Load 'tagfile' at startup.

-t<tag>
    Lookup tag 'tag' and display file containing it.

--  The rest of the arguments are not options, but filenames.

-+  The next argument is not an option even if starting with a '-'. Useful when loading files that begin with a -.

-noi18n
    Do not use locales in xfte - useful if you have incorrect locales.

-noxmb
    Do not use XMB functions in xfte - useful if you have incorrect locales and you want to use just english fonts.

-font
    Select XWindow font to use with xfte. See VIOFONT also.

ENVIRONMENTAL VARIABLES
This is list of variable which might change behavior of some internals of fte.

VIOFONT - select font used by xfte

ISOCONSOLE - when set, vfte is usign ascii symbols to draw tables. This is useful when iso latin charset is used on console.

EXAMPLES

fte -mBIN /usr/bin/vfte
    load /usr/bin/vfte in BIN mode

fte -mBIN -+ -bla-
    load file -bla- in BIN mode

fte -l100,30 win.c
    go to (100,30) in win.c

fte window.cpp
    load file window.cpp

fte -- -1 -2 -3 -4 -5 -6
    load files -1, -2, -3, -4, -5, -6

fte -D -H fte.dsk fte.his
    disable desktop and history loading and saving and load files fte.dsk and fte.his

FILES
~/.fterc
/usr/local/etc/fte/system.fterc
/etc/fte/system.fterc

Default configuration files. Includes all keybindings and menus compiled with cfte(1) from config files in /usr/share/doc/fte/config-example.tar.gz.

SEE ALSO
cfte(1), /usr/share/doc/fte/contents.html

AUTHORS
This manual page was written by Riku Voipio and Zdenek Kabelac <riku.voipio@iki.fi> <kabi@debian.org> for the Debian GNU/Linux system.

DATE
18 Nov 1999